﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@model Toyota.Common.Web.MVC.ModelHolder
<script type="text/javascript">
    $("#printAppletContainer").load(function() {
        showLoadingDialog("Loading printer lists...");
    });

    function onPrintAppletSuccess(msg)
    {
        
    }

    function onPrintAppletFailure(msg)
    {
    }

    function onPrintAppletGetPrinterList(msg) {
        var printers = msg.split(";");
        for (var i = 0; i < printers.length; i++) {
            ddlManifestDriver.AddItem(printers[i], printers[i]);
            ddlOtherDocumentsDriver.AddItem(printers[i], printers[i]);
        }
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/DailyOrderPrinting/GetPrinterSetup")",
            data: {
            },
            success: function (result) {
                ddlManifestDriver.SetText(result.ManifestPrinterName);
                ddlOtherDocumentsDriver.SetText(result.OtherPrinterName);
                OPHPaperType.SetValue(result.PaperType);
                hideLoadingDialog();
            },
            error: function (result) {
            }
        });
    }

</script>

<table cellpadding="0" cellspacing="0">
    <tr>
        <td colspan="3"><b>Printer Driver Setup</b>
        </td>
    </tr>
    <tr style="height:10px"></tr> @* row spacing *@
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Manifest";
                }).GetHtml()          
        </td>
        <td colspan="2" style="width:158px">
            @Html.DevExpress().ComboBox(
                properties =>
                {
                    properties.Name = "ddlManifestDriver";
                    properties.Width = Unit.Pixel(350);
                    properties.Properties.EnableClientSideAPI = true;
                }).GetHtml() 
        </td>
    </tr>
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Other Documents";
                }).GetHtml()     
        </td>
        <td colspan="2" style="width:158px">
            @Html.DevExpress().ComboBox(
                properties =>
                {
                    properties.Name = "ddlOtherDocumentsDriver";
                    properties.Width = Unit.Pixel(350);
                    properties.Properties.EnableClientSideAPI = true;
                }).GetHtml()
        </td>        
    </tr>
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Paper Type";
                }).GetHtml()      
        </td>
        <td style="width:108px">
            @Html.DevExpress().RadioButtonList(
                settings =>
                {
                    settings.Name = "OPHPaperType";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = Unit.Pixel(200);
                    settings.SelectedIndex = 0;
                    settings.Properties.RepeatDirection = RepeatDirection.Horizontal;
                    settings.Properties.Items.Add("Pre Printed", "1");
                    settings.Properties.Items.Add("Plain", "0");
                }
            ).GetHtml()                     
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "OPHPrinterSetupButton";
                    buttonSettings.Text = "Save";
                    buttonSettings.Width = Unit.Pixel(110);
                    buttonSettings.ClientSideEvents.Click = "OnOPHPrinterSetupButtonClick";
                }).GetHtml()  
        </td>
    </tr>    
    <tr style="height:5px"></tr> @* row spacing *@    
</table>

<div style="visibility:collapse" id="printAppletContainer">
	<applet code="eto/PrintPDF.class" archive="@Url.Content("~/Content/jar/PDFDownloaderApplet.jar")" width="0" height ="0" style="visibility:collapse">
	    <param name="printParameter" value="" />
	    <param name="failureCallback" value="onPrintAppletFailure" />
	    <param name="successCallback" value="onPrintAppletSuccess" />
	    <param name="getPrinterListCallback" value="onPrintAppletGetPrinterList" />
	    <param name="onlyGetPrinterList" value="@ViewData["onlyGetPrinterList"]" />
    </applet>
</div>